Subject: Re: Merge format documented?

From: Junio C Hamano <[email-masked]>
Date: Sun, 22 Mar 2009 20:50:24 -0700

Andreas Gruenbacher <[email-masked]> writes:

> is the format that git normally uses for indicating merge conflicts in files 
> (the <<< === >>> markers) documented somewhere?  How exactly does it differ 
> from the diff3 format (<<< ||| === >>>)?  Diff3's -m mode seems to come close 
> to what git does, except that git doesn't produce the ||| section:

It is an imitation of output from "merge" program of RCS suite Paul you
know maintains ;-)  Recent versions of git supports merge.conflictstyle
configuration variable and --conflict option in 'git-checkout' to write
the conflicts out in a format that is an imitation of "diff3 -m" output.

As far as I know, neither "git" format is documented anywhere, but I
didn't find an official format specification of the "upstream" formats,
and that is why I keep saying "imitation" in the above paragraph ;-)